0

Get error when load MW after upgraded to version 4.8.2

Hi everyone!

After upgraded to 4.8.2 and load MV, I get an error like this:

com.incorta.api.exceptions.DataException: INC_03070101: Failed to load data from [spark://BIPDB01:7077] with properties [[error, Spark (connection/setup) error: Please make sure that Spark Master/Worker(s) are up and running with the same Spark version across all nodes.]]
at com.incorta.loader.transformer.SparkTransformer.execute(SparkTransformer.java:108)
at com.incorta.loader.transformer.SparkTransformer.execute(SparkTransformer.java:51)
at com.incorta.loader.transformer.TransformerJob.transform(TransformerJob.java:92)
at com.incorta.loader.transformer.TransformerJob.transform(TransformerJob.java:63)
at com.incorta.loader.etl.TransformationPhase.transformTable(TransformationPhase.java:147)
at com.incorta.loader.etl.TransformationPhase.access$000(TransformationPhase.java:33)
at com.incorta.loader.etl.TransformationPhase$1.doAction(TransformationPhase.java:89)
at com.incorta.util.ConcurrentService$3.call(ConcurrentService.java:154)
at com.incorta.util.ConcurrentService$3.call(ConcurrentService.java:142)
at java.base/java.util.concurrent.FutureTask.run(FutureTask.java:264)
at com.incorta.util.ConcurrentService$Job.execute(ConcurrentService.java:321)
at com.incorta.loader.etl.TransformationPhase.executePhase(TransformationPhase.java:96)
at com.incorta.loader.etl.ETLJob.transform(ETLJob.java:267)
at com.incorta.loader.etl.ETLJob.execute(ETLJob.java:102)
at com.incorta.loader.LoaderImpl.doLoadData(LoaderImpl.java:275)
at com.incorta.loader.LoaderImpl$1.call(LoaderImpl.java:206)
at com.incorta.loader.LoaderImpl$1.call(LoaderImpl.java:203)
at java.base/java.util.concurrent.FutureTask.run(FutureTask.java:264)
at java.base/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1128)
at java.base/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
at java.base/java.lang.Thread.run(Thread.java:834)

What is version of Spark in Incorta 4.8.2 and some ways to fix this error ?

Thank you !

2replies Oldest first
  • Oldest first
  • Newest first
  • Active threads
  • Popular
  • From the error, it doesn't look like Spark is running.  Can you confirm you can reach Spark's web UI (usually on port 9090)?

    Like 1
      • Nopu Nguyen
      • Human
      • Nopu_Nguyen
      • 2 mths ago
      • Reported - view

      Dan Brock Thank you. Spark is stoped when upgrating incorta.

      Like
Like Follow
  • Status Answered
  • 2 mths agoLast active
  • 2Replies
  • 34Views
  • 2 Following

Product Announcement

Incorta 4.9 is now Generally Available (GA)!!!